Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.repository.exception
Class RepositoryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.gisgraphy.domain.repository.exception.RepositoryException

All Implemented Interfaces:
  java.io.Serializable

    public class RepositoryException

extends java.lang.RuntimeException

Exception is throws when an error occured in the repository

Author:
  David Masclet
See Also:
  Serialized Form

Constructor Summary
`RepositoryException()` Default constructor
`RepositoryException(java.lang.String message)` Constructor
`RepositoryException(java.lang.String message, java.lang.Throwable cause)` Constructor
`RepositoryException(java.lang.Throwable cause)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryException

    public RepositoryException()

  Default constructor

### RepositoryException

    public RepositoryException(java.lang.String message,
                               java.lang.Throwable cause)

  Constructor

  Parameters:
    `message` - The message
    `cause` - The cause

### RepositoryException

    public RepositoryException(java.lang.String message)

  Constructor

  Parameters:
    `message` - The message

### RepositoryException

    public RepositoryException(java.lang.Throwable cause)

  Constructor

  Parameters:
    `cause` - The cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.